require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS1, "flowersRB", false);
SManager:AddFlowers(FlowerType.FLOWERS8, "flowersGD", false);
SManager:AddFlowers(FlowerType.FLOWERS5, "flowersVGR", true);

SManager:AddMeal(MealType.STEAK, "steakFiletMignon", false);
SManager:AddMeal(MealType.FISH, "fishAhiMango", true);
SManager:AddMeal(MealType.PASTA, "fettucine", false);

SManager:AddCake(CakeType.IRA, "cake2Buttercream", true);
SManager:AddCake(CakeType.CAKE4, "cake4Strawberry", true);
SManager:AddCake(CakeType.BARBARA, "cake3Lemon", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.MEAL, SelectionType.CAKE);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");